Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::DriverOverrun Struct Referencefinal

OVERRUN_ERROR. More...

`#include <DriverOverrun.h>`

Inheritance diagram for Vector::BLF::DriverOverrun:

## Public Types
enum | BusType : uint32_t { Can = 1 , Lin = 5 , Most = 6 , FlexRay = 7 , J1708 = 9 , Ethernet = 10 , Wlan = 13 , Afdx = 14 }
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint32_t | busType {}
| bus type
uint16_t | channel {}
| channel where overrun occured
uint16_t | reservedDriverOverrun {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Detailed Description

OVERRUN_ERROR.

## Member Enumeration Documentation

## ◆ BusType

enum Vector::BLF::DriverOverrun::BusType : uint32_t

enumeration for busType

Enumerator
Can | CAN
Lin | LIN
Most | MOST
FlexRay | FlexRay
J1708 | J1708
Ethernet | Ethernet
Wlan | WLAN
Afdx | AFDX

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::DriverOverrun::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::DriverOverrun::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::DriverOverrun::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ reservedDriverOverrun

uint16_t Vector::BLF::DriverOverrun::reservedDriverOverrun {}

reserved

The documentation for this struct was generated from the following files:

- DriverOverrun.h
- DriverOverrun.cpp